#### PyKDE - Python Bindings for KDE

# class KKeyServer.Key |
Table of contents
Modules
tdecore Classes
All Classes

Module | tdecore
Class | KKeyServer.Key
Inherits |

### enums

- (anonymous) = {CODE_FOR_QT }

### methods

- code ()

  returns (uint)

- compare (key)

  returns (int)
  Argument | Type | Default
  --- | --- | ---
  key | KKeyServer.Key |

- init (key, bTQt)

  returns (bool)
  Argument | Type | Default
  --- | --- | ---
  key | KKey |
  bTQt | bool |

- isNative ()

  returns (bool)

- key ()

  returns (KKey)

- keyCodeQt ()

  returns (int)

- mod ()

  returns (uint)

- setKeycodeQt (keyTQt)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  keyTQt | int |

- sym ()

  returns (uint)

## operators

- operator < (a0)

  returns (bool)
  In versions KDE 3.1.4 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | KKeyServer.Key |

- operator == (a0)

  returns (bool)
  In versions KDE 3.1.4 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | KKeyServer.Key |

### variables

- variables

  Variable | Type
  --- | ---
  m_code | uint
  m_mod | uint
  m_sym | uint